createCompositioncave1soll = function()
    
        local compositioncave1soll = CreateCompositionSequence()
        local compositionDuration = 2.95833333333333
        compositioncave1soll:SetDuration(compositionDuration)
    
    
        -- Layer Layer_1
        local element = createcompositionPre_comp_1()
        element:SetName("Layer_1")
        compositioncave1soll:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositioncave1soll)
        element:SetXY(780, 411)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 3.29166666666667)
    
    
        effector:Play()
    
    
        -- Layer Layer_2
        local element = createcompositionPre_comp_1()
        element:SetName("Layer_2")
        compositioncave1soll:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositioncave1soll)
        element:SetXY(613, 380)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 3.29166666666667)
    
    
        effector:Play()
    
    
        -- Layer Layer_3
        local element = createcompositionPre_comp_1()
        element:SetName("Layer_3")
        compositioncave1soll:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositioncave1soll)
        element:SetXY(34, 361)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 3.29166666666667)
    
    
        effector:Play()
    
    
        -- Layer Layer_4
        local element = createcompositionPre_comp_1()
        element:SetName("Layer_4")
        compositioncave1soll:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositioncave1soll)
        element:SetXY(254, 443)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 3.29166666666667)
    
    
        effector:Play()
    
    
        -- Layer Layer_5
        local element = createcompositionPre_comp_1()
        element:SetName("Layer_5")
        compositioncave1soll:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositioncave1soll)
        element:SetXY(556, 395)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 3.29166666666667)
    
    
        effector:Play()
    
    
        -- Layer Layer_6
        local element = createcompositionPre_comp_1()
        element:SetName("Layer_6")
        compositioncave1soll:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositioncave1soll)
        element:SetXY(501, 448)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 3.29166666666667)
    
    
        effector:Play()
    
    
        -- Layer Layer_7
        local element = createcompositionPre_comp_1()
        element:SetName("Layer_7")
        compositioncave1soll:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositioncave1soll)
        element:SetXY(512, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 3.29166666666667)
        effector:Play()
    
        return compositioncave1soll
    end
    
    createcompositionPre_comp_1 = function()
    
        local compositionPre_comp_1 = CreateCompositionSequence()
        local compositionDuration = 2.95833333333333
        compositionPre_comp_1:SetDuration(compositionDuration)
    
    
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/31_cave_/anim/light/light.png")
        element:SetName("Layer_1")
        compositionPre_comp_1:AddElement(element)
        element:SetHotSpot(17.5, 44)
        element:SetParentElement(compositionPre_comp_1)
        element:SetXY(487, 75.5)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(21)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 35, 88)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector()
        effector:SetLifeTime(1, 3.1)
    
        effector:SetKey(_TRACK_O, 1, 0)
        effector:SetKey(_TRACK_O, 1.5, 1)
        effector:SetKey(_TRACK_O, 2.5, 0.97)
        effector:SetKey(_TRACK_O, 3.0625, 0)
    
        effector:Play()
    
    
        -- Layer Layer_2
        local element = CreateCompositionElement("data/Texture/Scenes/31_cave_/anim/light/light.png")
        element:SetName("Layer_2")
        compositionPre_comp_1:AddElement(element)
        element:SetHotSpot(17.5, 44)
        element:SetParentElement(compositionPre_comp_1)
        element:SetXY(487, 75.5)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(21)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 35, 88)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector()
        effector:SetLifeTime(2.54166666666667, 3.94166666666667)
    
        effector:SetKey(_TRACK_O, 2.54166666666667, 0)
        effector:SetKey(_TRACK_O, 2.875, 1)
        effector:SetKey(_TRACK_O, 3.54166666666667, 0.97)
        effector:SetKey(_TRACK_O, 3.91666666666667, 0)
    
        effector:Play()
    
    
        -- Layer Layer_3
        local element = CreateCompositionElement("data/Texture/Scenes/31_cave_/anim/light/light.png")
        element:SetName("Layer_3")
        compositionPre_comp_1:AddElement(element)
        element:SetHotSpot(17.5, 44)
        element:SetParentElement(compositionPre_comp_1)
        element:SetXY(487, 75.5)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(21)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 35, 88)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector()
        effector:SetLifeTime(0.16666666666667, 1.56666666666667)
    
        effector:SetKey(_TRACK_O, 0.16666666666667, 0)
        effector:SetKey(_TRACK_O, 0.5, 1)
        effector:SetKey(_TRACK_O, 1.16666666666667, 0.97)
        effector:SetKey(_TRACK_O, 1.54166666666667, 0)
    
        effector:Play()
    
    
        -- Layer Layer_4
        local element = CreateCompositionElement("data/Texture/Scenes/31_cave_/anim/light/light.png")
        element:SetName("Layer_4")
        compositionPre_comp_1:AddElement(element)
        element:SetHotSpot(17.5, 44)
        element:SetParentElement(compositionPre_comp_1)
        element:SetXY(487, 75.5)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(21)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 35, 88)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 1.025)
    
        effector:SetKey(_TRACK_O, 0, 1)
        effector:SetKey(_TRACK_O, 0.625, 0.97)
        effector:SetKey(_TRACK_O, 1, 0)
    
        effector:Play()
    
        compositionPre_comp_1:Play()
    
        return compositionPre_comp_1
    end
